<?php

namespace App\Classes\Objects;

use App\Classes\Interfaces\Steps\Step as StepInterface;

class StepObject implements StepInterface
{
    /** @var string */
    protected $referenceId;

    /** @var string */
    protected $initialName;

    /** @var string */
    protected $finalName;

    /** @var string */
    protected $description;

    /**
     * AbstractStep constructor.
     * @param $referenceId
     * @param $initialName
     * @param $finalName
     * @param $description
     */
    public function __construct($referenceId, $initialName, $finalName, $description)
    {
        $this->referenceId = $referenceId;
        $this->initialName = $initialName;
        $this->finalName = $finalName;
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getReferenceId(): string
    {
        return $this->referenceId;
    }

    /**
     * @return string
     */
    public function getInitialName(): string
    {
        return $this->initialName;
    }

    /**
     * @return string
     */
    public function getFinalName(): string
    {
        return $this->finalName;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }
}